Page MenuHomePhabricator

Add domain to $wgCopyUploadsDomains
Closed, ResolvedPublic

Description

Please add the following domain to the wgCopyUploadsDomains whitelist, so that I can use GWToolset to upload media files from that domain. I have provided at least 3 example URLs to media files that will be uploaded with GWToolset.

<domain name>*.ub.unibas.ch</domain name>
<domain name>*.unibas.ch</domain name>

<example URL>ftp.ub.unibas.ch</example URL>
<example URL>files.unibas.ch</example URL>

Event Timeline

Micha created this task.Jun 29 2015, 10:24 AM
Micha updated the task description. (Show Details)
Micha raised the priority of this task from to Normal.
Micha added a project: Wikimedia-Site-requests.
Micha added a subscriber: Micha.
Restricted Application added subscribers: Steinsplitter, Matanya, Aklapper. · View Herald TranscriptJun 29 2015, 10:24 AM
Matanya claimed this task.Jun 29 2015, 10:48 AM
Matanya set Security to None.

Change 221600 had a related patch set uploaded (by Matanya):
add unibas.ch to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/221600

I have provided at least 3 example URLs to media files that will be uploaded with GWToolset.

No, you haven't?

Micha added a comment.EditedJun 29 2015, 3:21 PM

Why is that necessary to have examples for URL to mediafiles?

the domain are

*.ub.unibas.ch and *.unibas.ch

so everything is possible:

pictures.unibas.ch/file/zzz.tif
upload.ub.unibas.ch/pics/yyy.gif

or do you need a specific information?

Micha added a comment.Jun 29 2015, 3:28 PM

One example: http://www.ub.unibas.ch/digi/wikicommons/out/002619080/image/3946171.tif

I'm looking for two more. Actually, the university has also a whitelist. Which are the IP addresses of the media crawler of Commons?

Thanks.

Steinsplitter added a comment.EditedJun 30 2015, 12:45 PM

Which are the IP addresses of the media crawler of Commons?

https://wikitech.wikimedia.org/wiki/IP_addresses (but is outdated)

If you need to whitelist you can whitelist the complete range. Not sure which ip is using the gwt to get the files (maybe someone from Operations is knowing this).

Micha added a comment.Jul 5 2015, 9:45 AM

Can somebody add it to the whitelist now? We need it tomorrow. Thanks

Can somebody add it to the whitelist now? We need it tomorrow. Thanks

Why have you just decided that there is a deadline for this?

Micha added a comment.Jul 5 2015, 4:59 PM

The responsible people are working on different projects here and then they have a timeslot to do the required tests for upload by GLAMwiki Toolset. Things have to be scheduled in the business world. This is not a volunteer world here in the University Library where people only act if they feel like doing something. If we're not whitelisted, we cannot do the tests and then we cannot upload by time and the upload will be delayed, postponed or canceled.

Can somebody add it to the whitelist now? We need it tomorrow. Thanks

Why have you just decided that there is a deadline for this?

Why it takes forever to merge such patches. Most here are volunteers with a real life. Please don't over bureaucratize this process here. :)

It's not a "simple" case of just reviewing, approving and merging patches here - you can't merge a patch to operations/mediawiki-config without also deploying it to the servers.

Krenair added a subscriber: hoo.Jul 5 2015, 5:38 PM

@hoo said that the WMF release team manager said it was OK to do these on a weekend, so I'll do it now. But in future, you must communicate deadlines when creating such tasks, not the day before your secret deadline, especially if that falls on a day which we don't usually deploy on.

Change 221600 merged by jenkins-bot:
add unibas.ch to wgCopyUploadsDomains

https://gerrit.wikimedia.org/r/221600

Krenair closed this task as Resolved.Jul 5 2015, 5:45 PM

<logmsgbot> !log krenair Synchronized wmf-config/InitialiseSettings.php: https://gerrit.wikimedia.org/r/#/c/221600/ (duration: 00m 12s)

that was quick now! Thanks.

Micha added a comment.Jul 5 2015, 8:27 PM

Thank you very much! I will inform the responsible people that they can test the upload like they have planned it.